Stablecoins data
curl --request GET \
--url https://www.sharpe.ai/api/v1/stablecoins/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/stablecoins/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/stablecoins/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"aggregate": {
"totalMarketCap": 123,
"supplyChange24h": 123,
"supplyChange7d": 123,
"supplyChange30d": 123,
"mechanismSplit": [
{
"mechanism": "<string>",
"marketShare": 123,
"mcap": 123
}
],
"assetConcentration": [
{
"name": "<string>",
"marketShare": 123,
"mcap": 123
}
],
"issuerSplit": [
{
"name": "<string>",
"marketShare": 123,
"mcap": 123
}
],
"count": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"items": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"symbol": "<string>",
"peg": "USD",
"mechanism": "fiat-backed",
"priceModel": "fixed-peg",
"yieldBearing": true,
"image": "<string>",
"price": 123,
"pegDeviation": 123,
"nominalSupplyValue": 123,
"markedMarketValue": 123,
"marketCap": 123,
"circulating": 123,
"supplyChange24h": 123,
"supplyChange7d": 123,
"supplyChange30d": 123,
"chainCount": 123,
"marketShare": 123,
"topChains": [
{
"name": "<string>",
"supplyShare": 123
}
],
"detailId": "<string>",
"pegQuality": "measured",
"volume24hUsd": 123,
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"change24hUsd": 123,
"change7dUsd": 123,
"change30dUsd": 123,
"chainSupplies": [
{
"name": "<string>",
"supplyShare": 123,
"value": 123
}
],
"velocity": 123,
"velocityNonEvmShare": 123,
"velocityCoverage": 123,
"velocityUnavailableReason": "<string>",
"pegStability30d": {
"share_inside_0_1": 123,
"share_inside_0_5": 123,
"share_inside_1_0": 123,
"sampleCount": 123,
"earliestSampleAt": "2023-11-07T05:31:56Z"
}
}
],
"history90d": [
{
"t": 123,
"v": 123
}
],
"history365d": [
{
"t": 123,
"v": 123
}
],
"chains": [
{
"name": "<string>",
"trackerId": "<string>",
"totalUSD": 123,
"marketShare": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"partial": true,
"source": "DeFiLlama",
"sources": [
"DeFiLlama"
],
"as_of": "2023-11-07T05:31:56Z",
"stale": true,
"cache_age_seconds": 1,
"freshness_sla_seconds": 7200,
"universeItems": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"symbol": "<string>",
"peg": "USD",
"mechanism": "fiat-backed",
"priceModel": "fixed-peg",
"yieldBearing": true,
"image": "<string>",
"price": 123,
"pegDeviation": 123,
"nominalSupplyValue": 123,
"markedMarketValue": 123,
"marketCap": 123,
"circulating": 123,
"supplyChange24h": 123,
"supplyChange7d": 123,
"supplyChange30d": 123,
"chainCount": 123,
"marketShare": 123,
"topChains": [
{
"name": "<string>",
"supplyShare": 123
}
],
"detailId": "<string>",
"pegQuality": "measured",
"volume24hUsd": 123,
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"change24hUsd": 123,
"change7dUsd": 123,
"change30dUsd": 123,
"chainSupplies": [
{
"name": "<string>",
"supplyShare": 123,
"value": 123
}
],
"velocity": 123,
"velocityNonEvmShare": 123,
"velocityCoverage": 123,
"velocityUnavailableReason": "<string>",
"pegStability30d": {
"share_inside_0_1": 123,
"share_inside_0_5": 123,
"share_inside_1_0": 123,
"sampleCount": 123,
"earliestSampleAt": "2023-11-07T05:31:56Z"
}
}
],
"dailyNetIssuance90d": [
{
"t": 123,
"net": 123
}
],
"fxFallbackCoins": 123,
"degradedComponents": [
"<string>"
],
"componentUpdatedAt": {
"history": "2023-11-07T05:31:56Z",
"chains": "2023-11-07T05:31:56Z",
"details": "2023-11-07T05:31:56Z",
"overview": "2023-11-07T05:31:56Z"
},
"componentSources": {
"overview": [
"<string>"
],
"history": [
"<string>"
],
"chains": [
"<string>"
],
"details": [
"<string>"
]
},
"lastAttemptAt": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Market Data
Stablecoins data
Returns hourly stablecoin overview, detail, or yield data with nominal supply at peg, live marked value, nullable peg metrics, chain supply/TVL ratios, velocity coverage, freshness, and APY risk flags. Shares, supply changes, the peg deviation and APYs are fractions (0.054 is 5.4%; APYs per year). NAV-accrual assets do not receive fixed-$1 depeg scores; ambiguous same-symbol yield pools are omitted.
GET
/
v1
/
stablecoins
/
data
Stablecoins data
curl --request GET \
--url https://www.sharpe.ai/api/v1/stablecoins/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/stablecoins/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/stablecoins/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"aggregate": {
"totalMarketCap": 123,
"supplyChange24h": 123,
"supplyChange7d": 123,
"supplyChange30d": 123,
"mechanismSplit": [
{
"mechanism": "<string>",
"marketShare": 123,
"mcap": 123
}
],
"assetConcentration": [
{
"name": "<string>",
"marketShare": 123,
"mcap": 123
}
],
"issuerSplit": [
{
"name": "<string>",
"marketShare": 123,
"mcap": 123
}
],
"count": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"items": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"symbol": "<string>",
"peg": "USD",
"mechanism": "fiat-backed",
"priceModel": "fixed-peg",
"yieldBearing": true,
"image": "<string>",
"price": 123,
"pegDeviation": 123,
"nominalSupplyValue": 123,
"markedMarketValue": 123,
"marketCap": 123,
"circulating": 123,
"supplyChange24h": 123,
"supplyChange7d": 123,
"supplyChange30d": 123,
"chainCount": 123,
"marketShare": 123,
"topChains": [
{
"name": "<string>",
"supplyShare": 123
}
],
"detailId": "<string>",
"pegQuality": "measured",
"volume24hUsd": 123,
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"change24hUsd": 123,
"change7dUsd": 123,
"change30dUsd": 123,
"chainSupplies": [
{
"name": "<string>",
"supplyShare": 123,
"value": 123
}
],
"velocity": 123,
"velocityNonEvmShare": 123,
"velocityCoverage": 123,
"velocityUnavailableReason": "<string>",
"pegStability30d": {
"share_inside_0_1": 123,
"share_inside_0_5": 123,
"share_inside_1_0": 123,
"sampleCount": 123,
"earliestSampleAt": "2023-11-07T05:31:56Z"
}
}
],
"history90d": [
{
"t": 123,
"v": 123
}
],
"history365d": [
{
"t": 123,
"v": 123
}
],
"chains": [
{
"name": "<string>",
"trackerId": "<string>",
"totalUSD": 123,
"marketShare": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"partial": true,
"source": "DeFiLlama",
"sources": [
"DeFiLlama"
],
"as_of": "2023-11-07T05:31:56Z",
"stale": true,
"cache_age_seconds": 1,
"freshness_sla_seconds": 7200,
"universeItems": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"symbol": "<string>",
"peg": "USD",
"mechanism": "fiat-backed",
"priceModel": "fixed-peg",
"yieldBearing": true,
"image": "<string>",
"price": 123,
"pegDeviation": 123,
"nominalSupplyValue": 123,
"markedMarketValue": 123,
"marketCap": 123,
"circulating": 123,
"supplyChange24h": 123,
"supplyChange7d": 123,
"supplyChange30d": 123,
"chainCount": 123,
"marketShare": 123,
"topChains": [
{
"name": "<string>",
"supplyShare": 123
}
],
"detailId": "<string>",
"pegQuality": "measured",
"volume24hUsd": 123,
"priceUpdatedAt": "2023-11-07T05:31:56Z",
"change24hUsd": 123,
"change7dUsd": 123,
"change30dUsd": 123,
"chainSupplies": [
{
"name": "<string>",
"supplyShare": 123,
"value": 123
}
],
"velocity": 123,
"velocityNonEvmShare": 123,
"velocityCoverage": 123,
"velocityUnavailableReason": "<string>",
"pegStability30d": {
"share_inside_0_1": 123,
"share_inside_0_5": 123,
"share_inside_1_0": 123,
"sampleCount": 123,
"earliestSampleAt": "2023-11-07T05:31:56Z"
}
}
],
"dailyNetIssuance90d": [
{
"t": 123,
"net": 123
}
],
"fxFallbackCoins": 123,
"degradedComponents": [
"<string>"
],
"componentUpdatedAt": {
"history": "2023-11-07T05:31:56Z",
"chains": "2023-11-07T05:31:56Z",
"details": "2023-11-07T05:31:56Z",
"overview": "2023-11-07T05:31:56Z"
},
"componentSources": {
"overview": [
"<string>"
],
"history": [
"<string>"
],
"chains": [
"<string>"
],
"details": [
"<string>"
]
},
"lastAttemptAt": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

